> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypersync.tartanhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Model Flags

> Retrieve the current configuration of data model flags that control which fields are enabled, disabled, or optional in the SDK.

<Note> This endpoint retrieves the current data model flags configuration for the SDK. </Note>

## Overview

The Get Data Model Flags API allows you to retrieve the current configuration of data model flags that control which fields are enabled, disabled, or optional in the SDK.

## Request

### Headers

| Header          | Description                     |
| --------------- | ------------------------------- |
| `Authorization` | Token authentication (required) |
| `Content-Type`  | application/json                |

### Example Request

```bash theme={"dark"}
curl --location -g '{{url}}/api/sdk/data_model_flags/' \
--header 'Authorization: Token {{API-KEY}}' \
--header 'Content-Type: application/json'
```

## Response

### Success Response (200)

```json theme={"dark"}
{
  "status": "success",
  "message": "Data model flags retrieved successfully",
  "data": {
    "detail_info_fields": {
      "name": -1,
      "employeeId": -1,
      "status": -1,
      "email": 1,
      "doj": 1,
      "employmentType": 1,
      "gender": -1,
      "dob": -1,
      "pan": 1,
      "personalEmail": 1,
      "fatherName": 1,
      "bloodGroup": 1,
      "designation": 1,
      "department": 1,
      "mobileNumber": 1,
      "manager": 1,
      "maritalStatus": 1,
      "nationality": 1,
      "aadhar": 1,
      "uan": 1,
      "terminationDate": 1,
      "grade": 1,
      "groupName": 1,
      "costCenter": 1,
      "managerEmail": 1,
      "managerEmail2": 1,
      "managerEmail3": 1,
      "managerEmail4": 1,
      "managerEmail5": 1,
      "companyName": 1,
      "currentAddress": 1,
      "permanentAddress": 1,
      "jobLocation": 1,
      "employeeMetadata_marriageDate": 0
    },
    "bank_details_fields": {
      "bankDetails_bankName": 1,
      "bankDetails_ifscCode": 1,
      "bankDetails_accountNumber": 1
    },
    "dependent_details_fields": {
      "dependentDetails_name": 1,
      "dependentDetails_relation": 1,
      "dependentDetails_dob": 0,
      "dependentDetails_mobileNumber": 1,
      "dependentDetails_email": 0,
      "dependentDetails_gender": 1,
      "dependentDetails_profession": 1
    },
    "ctc_details_fields": {
      "ctc_basic": -1,
      "ctc_hra": -1,
      "ctc_specialAllowance": -1,
      "ctc_medicalAllowance": -1,
      "ctc_dearnessAllowance": -1,
      "ctc_flexiBasketAllowance": -1,
      "ctc_travelAllowance": -1,
      "ctc_gratuity": -1,
      "ctc_grossPay": -1,
      "ctc_deductions_pf": 1,
      "ctc_deductions_esi": 1,
      "ctc_deductions_misc": 1,
      "ctc_deductions_labourWelfareFund": 1,
      "ctc_deductions_professionalTax": 1,
      "ctc_bonus_joining": 1,
      "ctc_bonus_misc": 1,
      "ctc_bonus_performance": 1,
      "ctc_bonus_referral": 1,
      "ctc_bonus_relocation": 1,
      "ctc_bonus_retention": 0,
      "ctc_raw": 0
    },
    "salary_monthly_details_fields": {
      "monthly_basic": 0,
      "monthly_dearnessAllowance": 0,
      "monthly_hra": 0,
      "monthly_medicalAllowance": 0,
      "monthly_travelAllowance": 0,
      "monthly_specialAllowance": 0,
      "monthly_flexiBasketAllowance": 0,
      "monthly_gratuity": 0,
      "monthly_otherAllowance": 0,
      "monthly_deductions_pf": 0,
      "monthly_deductions_esi": 0,
      "monthly_deductions_professionalTax": 0,
      "monthly_deductions_labourWelfareFund": 0,
      "monthly_deductions_tds": 0,
      "monthly_deductions_medicalClaimDeduction": 0,
      "monthly_deductions_groupTermInsuranceDeductions": 0,
      "monthly_deductions_earlyWageDeduction": 0,
      "monthly_deductions_misc": 0,
      "monthly_bonus_joining": 0,
      "monthly_bonus_referral": 0,
      "monthly_bonus_retention": 0,
      "monthly_bonus_performance": 0,
      "monthly_bonus_relocation": 0,
      "monthly_bonus_misc": 0,
      "monthly_grossPay": 0,
      "monthly_reimbursements": 0,
      "monthly_raw": 0
    }
  }
}
```

## Field Categories

### detail\_info\_fields

Basic employee information fields including personal details, employment information, and contact details.

### bank\_details\_fields

Bank account information fields for salary disbursement.

### dependent\_details\_fields

Information about employee dependents including family members and their details.

### ctc\_details\_fields

Cost to Company (CTC) related fields including salary components, deductions, and bonuses.

### salary\_monthly\_details\_fields

Monthly salary breakdown including allowances, deductions, and reimbursements.

## Flag Values

| Value | Description                                         |
| ----- | --------------------------------------------------- |
| `-1`  | Field is enabled and required                       |
| `0`   | Field is optional (can be filled but not mandatory) |
| `1`   | Field is enabled and optional                       |

## Error Responses

### 401 Unauthorized

```json theme={"dark"}
{
  "status": "error",
  "message": "Authentication credentials were not provided.",
  "data": null
}
```

### 500 Internal Server Error

```json theme={"dark"}
{
  "status": "error",
  "message": "Internal Server Error",
  "data": null
}
```


## OpenAPI

````yaml GET /api/sdk/data_model_flags/
openapi: 3.0.0
info:
  title: Employee List API
  description: Retrieve a paginated list of employees from the organization.
  version: 1.0.0
servers:
  - url: https://{env}.tartanhq.com
    description: Dynamic environment-based server
    variables:
      env:
        default: dev
security: []
paths:
  /api/sdk/data_model_flags/:
    get:
      summary: Get Data Model Flags
      description: >-
        Retrieve the current configuration of data model flags that control
        which fields are enabled, disabled, or optional in the SDK.
      responses:
        '200':
          description: Data model flags retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Data model flags retrieved successfully
                  data:
                    type: object
                    properties:
                      detail_info_fields:
                        type: object
                        properties:
                          name:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          employeeId:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          status:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          email:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          doj:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          employmentType:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          gender:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          dob:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          pan:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          personalEmail:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          fatherName:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          bloodGroup:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          designation:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          department:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          mobileNumber:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          manager:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          maritalStatus:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          nationality:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          aadhar:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          uan:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          terminationDate:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          grade:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          groupName:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          costCenter:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          managerEmail:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          managerEmail2:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          managerEmail3:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          managerEmail4:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          managerEmail5:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          companyName:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          currentAddress:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          permanentAddress:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          jobLocation:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          employeeMetadata_marriageDate:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                      bank_details_fields:
                        type: object
                        properties:
                          bankDetails_bankName:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          bankDetails_ifscCode:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          bankDetails_accountNumber:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                      dependent_details_fields:
                        type: object
                        properties:
                          dependentDetails_name:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          dependentDetails_relation:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          dependentDetails_dob:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          dependentDetails_mobileNumber:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          dependentDetails_email:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          dependentDetails_gender:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          dependentDetails_profession:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                      ctc_details_fields:
                        type: object
                        properties:
                          ctc_basic:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          ctc_hra:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          ctc_specialAllowance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          ctc_medicalAllowance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          ctc_dearnessAllowance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          ctc_flexiBasketAllowance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          ctc_travelAllowance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          ctc_gratuity:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          ctc_grossPay:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: -1
                          ctc_deductions_pf:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          ctc_deductions_esi:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          ctc_deductions_misc:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          ctc_deductions_labourWelfareFund:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          ctc_deductions_professionalTax:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          ctc_bonus_joining:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          ctc_bonus_misc:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          ctc_bonus_performance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          ctc_bonus_referral:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          ctc_bonus_relocation:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 1
                          ctc_bonus_retention:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          ctc_raw:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                      salary_monthly_details_fields:
                        type: object
                        properties:
                          monthly_basic:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_dearnessAllowance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_hra:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_medicalAllowance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_travelAllowance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_specialAllowance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_flexiBasketAllowance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_gratuity:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_otherAllowance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_deductions_pf:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_deductions_esi:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_deductions_professionalTax:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_deductions_labourWelfareFund:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_deductions_tds:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_deductions_medicalClaimDeduction:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_deductions_groupTermInsuranceDeductions:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_deductions_earlyWageDeduction:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_deductions_misc:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_bonus_joining:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_bonus_referral:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_bonus_retention:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_bonus_performance:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_bonus_relocation:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_bonus_misc:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_grossPay:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_reimbursements:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
                          monthly_raw:
                            type: integer
                            enum:
                              - -1
                              - 0
                              - 1
                            example: 0
        '401':
          description: Unauthorized - Authentication credentials were not provided
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Authentication credentials were not provided.
                  data:
                    type: string
                    nullable: true
                    example: null
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Internal Server Error
                  data:
                    type: string
                    nullable: true
                    example: null
      security:
        - TokenAuth: []
components:
  securitySchemes:
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization

````